## visad.java3d
Class DownRoundingAnimationControlJ3D

    java.lang.Object
      visad.Control
          visad.java3d.AVControlJ3D
              visad.java3d.AnimationControlJ3D
                  visad.java3d.DownRoundingAnimationControlJ3D

All Implemented Interfaces:
  AnimationControl, AVControl, Cloneable, Runnable, Serializable

public class DownRoundingAnimationControlJ3D
extends AnimationControlJ3D
implements Runnable, AnimationControl

DownRoundingAnimationControlJ3D extends AnimationControlJ3D to provide a different sampling behavior. Instead of nearest neighbor, the nearest sample LESS THAN the current value will be displayed.

Doug Lindholm (DML) - Dec 2001

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class visad.java3d.AVControlJ3D
`AVControlJ3D.SwitchSet`

Field Summary

Fields inherited from class visad.java3d.AnimationControlJ3D
`current`

Fields inherited from class visad.java3d.AVControlJ3D
`switches`

Fields inherited from class visad.Control
``

Constructor Summary
`(package private)` `DownRoundingAnimationControlJ3D()`
`` `DownRoundingAnimationControlJ3D(DisplayImplJ3D d, RealType r)`

Method Summary
`protected int` `getIndexLessThanValue(Set set, double value)` Return the index of the sample with the nearest value less than or equal to the given value, -1 if no earlier samples.
`void` `init()` actually set Switches (Java3D) or VisADSwitches (Java2D) to child nodes corresponding to current ordinal step number
`void` `selectSwitches(double value, Set animation_set)`
`void` `setCurrent(double value)` set the current step by the value of the RealType mapped to Display.Animation
`void` `setCurrent(int c)` set the current ordinal step number

Methods inherited from class visad.java3d.AnimationControlJ3D
`equals, getComputeSet, getCurrent, getDirection, getOn, getRealType, getSaveString, getSet, getStep, getSteps, nullControl, run, setComputeSet, setDirection, setOn, setSaveString, setSet, setSet, setStep, setSteps, stop, subCheckTicks, subPeekTicks, subResetTicks, subSetTicks, syncControl, takeStep, toggle`

Methods inherited from class visad.java3d.AVControlJ3D
`addPair, clearSwitches, getSwitches, setInterval`

Methods inherited from class visad.Control
`addControlListener, animation_string, changeControl, checkTicks, clone, getDisplay, getDisplayRenderer, getInstanceNumber, incTick, peekTicks, removeControlListener, resetTicks, setTicks, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.lang.Runnable
`run`

Methods inherited from interface visad.AnimationControl
`getComputeSet, getCurrent, getDirection, getOn, getSet, getStep, getSteps, run, setComputeSet, setDirection, setOn, setSet, setSet, setStep, setSteps, stop, takeStep, toggle`

Methods inherited from interface visad.AVControl
`addControlListener, clearSwitches, getSaveString, removeControlListener, setSaveString`

Constructor Detail

### DownRoundingAnimationControlJ3D

    public DownRoundingAnimationControlJ3D(DisplayImplJ3D d,
                                           RealType r)

### DownRoundingAnimationControlJ3D

    DownRoundingAnimationControlJ3D()

Method Detail

### setCurrent

    public void setCurrent(int c)
                    throws VisADException,
                           RemoteException

  Description copied from interface: `AnimationControl`
  set the current ordinal step number

  Specified by:
    `setCurrent` in interface `AnimationControl`
  Overrides:
    `setCurrent` in class `AnimationControlJ3D`
  Throws:
    `VisADException`
    `RemoteException`

### setCurrent

    public void setCurrent(double value)
                    throws VisADException,
                           RemoteException

  Description copied from interface: `AnimationControl`
  set the current step by the value of the RealType mapped to Display.Animation

  Specified by:
    `setCurrent` in interface `AnimationControl`
  Overrides:
    `setCurrent` in class `AnimationControlJ3D`
  Throws:
    `VisADException`
    `RemoteException`

### getIndexLessThanValue

    protected int getIndexLessThanValue(Set set,
                                        double value)
                                 throws VisADException

  Return the index of the sample with the nearest value less than or equal to the given value, -1 if no earlier samples.

  Throws:
    `VisADException`

### init

    public void init()
              throws VisADException

  Description copied from interface: `AnimationControl`
  actually set Switches (Java3D) or VisADSwitches (Java2D) to child nodes corresponding to current ordinal step number

  Specified by:
    `init` in interface `AnimationControl`
  Overrides:
    `init` in class `AnimationControlJ3D`
  Throws:
    `VisADException`

### selectSwitches

    public void selectSwitches(double value,
                               Set animation_set)
                        throws VisADException

  Overrides:
    `selectSwitches` in class `AVControlJ3D`
  Throws:
    `VisADException`